Bug 858763 - [abrt] ibus-libpinyin-1.4.91-1.fc17: ensure_has_more_space: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 11 (SIGSEGV)
Summary: [abrt] ibus-libpinyin-1.4.91-1.fc17: ensure_has_more_space: Process /usr/libe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:451f9e9ab20f9f6ef562c436329...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-19 15:58 UTC by Chen_Min_Chin
Modified: 2012-10-19 03:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-19 03:23:08 UTC


Attachments (Terms of Use)
File: core_backtrace (2.72 KB, text/plain)
2012-09-19 15:58 UTC, Chen_Min_Chin
no flags Details
File: environ (749 bytes, text/plain)
2012-09-19 15:58 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-19 15:58 UTC, Chen_Min_Chin
no flags Details
File: backtrace (81.59 KB, text/plain)
2012-09-19 15:58 UTC, Chen_Min_Chin
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-19 15:59 UTC, Chen_Min_Chin
no flags Details
File: maps (14.29 KB, text/plain)
2012-09-19 15:59 UTC, Chen_Min_Chin
no flags Details
File: dso_list (2.98 KB, text/plain)
2012-09-19 15:59 UTC, Chen_Min_Chin
no flags Details
File: open_fds (429 bytes, text/plain)
2012-09-19 15:59 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (169 bytes, text/plain)
2012-09-19 15:59 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2012-09-19 15:58:49 UTC
Version-Release number of selected component:
ibus-libpinyin-1.4.91-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: ensure_has_more_space
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #3 ensure_has_more_space at ../../src/include/memory_chunk.h
: #4 ensure_has_space at ../../src/include/memory_chunk.h
: #5 set_content at ../../src/include/memory_chunk.h
: #6 append_content at ../../src/include/memory_chunk.h
: #7 pinyin::merge_single_gram at ngram.cpp
: #8 pinyin::PinyinLookup::search_bigram at pinyin_lookup.cpp
: #9 pinyin::PinyinLookup::get_best_match at pinyin_lookup.cpp
: #10 PY::LibPinyinBopomofoEditor::insert at PYPBopomofoEditor.cc
: #11 PY::LibPinyinBopomofoEditor::processKeyEvent at PYPBopomofoEditor.cc
: #12 PY::LibPinyinBopomofoEngine::processKeyEvent at PYPBopomofoEngine.cc

Comment 1 Chen_Min_Chin 2012-09-19 15:58:52 UTC
Created attachment 614437 [details]
File: core_backtrace

Comment 2 Chen_Min_Chin 2012-09-19 15:58:55 UTC
Created attachment 614438 [details]
File: environ

Comment 3 Chen_Min_Chin 2012-09-19 15:58:57 UTC
Created attachment 614439 [details]
File: limits

Comment 4 Chen_Min_Chin 2012-09-19 15:58:59 UTC
Created attachment 614440 [details]
File: backtrace

Comment 5 Chen_Min_Chin 2012-09-19 15:59:01 UTC
Created attachment 614441 [details]
File: cgroup

Comment 6 Chen_Min_Chin 2012-09-19 15:59:04 UTC
Created attachment 614442 [details]
File: maps

Comment 7 Chen_Min_Chin 2012-09-19 15:59:06 UTC
Created attachment 614443 [details]
File: dso_list

Comment 8 Chen_Min_Chin 2012-09-19 15:59:08 UTC
Created attachment 614444 [details]
File: open_fds

Comment 9 Chen_Min_Chin 2012-09-19 15:59:10 UTC
Created attachment 614445 [details]
File: var_log_messages

Comment 10 Peng Wu 2012-09-20 03:15:30 UTC
Please try ibus-libpinyin 1.4.92 with libpinyin 0.7.91 instead.

https://admin.fedoraproject.org/updates/ibus-libpinyin-1.4.92-1.fc17,libpinyin-0.7.91-1.fc17

Comment 11 Fedora Update System 2012-10-16 06:47:18 UTC
ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18

Comment 12 Fedora Update System 2012-10-16 06:47:37 UTC
ibus-libpinyin-1.4.93-1.fc17,libpinyin-0.7.92-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.4.93-1.fc17,libpinyin-0.7.92-1.fc17

Comment 13 Fedora Update System 2012-10-16 17:40:31 UTC
Package ibus-libpinyin-1.4.93-1.fc18, libpinyin-0.7.92-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-libpinyin-1.4.93-1.fc18 libpinyin-0.7.92-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16212/ibus-libpinyin-1.4.93-1.fc18,libpinyin-0.7.92-1.fc18
then log in and leave karma (feedback).

Comment 14 Peng Wu 2012-10-19 03:23:08 UTC
As many code re-factors are landed in libpinyin 0.7.92, I just close this bug
for now. Feel free to file new bugs, if you still en-counter it in libpinyin
0.7.92 or later version.


Note You need to log in before you can comment on or make changes to this bug.